import request from "@/utils/request";

export function list(params) {
  return request({
    url: "/pu/contract/list",
    method: "get",
    params: params,
  });
}

export function add(data) {
  return request({
    url: "/pu/contract/add",
    method: "post",
    data: data,
  });
}

export function remove(data) {
  return request({
    url: `/pu/contract/${data}`,
    method: "delete",
  });
}

export function item(data) {
  return request({
    url: `/pu/contract/${data}`,
    method: "get",
  });
}
