import request from "@/utils/request";

// 采购订单修订列表
const orderList = (data) => {
  return request({
    url: `/pu/order/list`,
    method: "post",
    data,
  });
}

// 采购订单详情
const orderDetails = (id, params) => {
  return request({
    url: `/pu/order/${id}`,
    method: "get",
    params,
  });
}

// 采购订单修订创建
const orderCreate = (data) => {
  return request({
    url: `/pu/order/create`,
    method: "post",
    data,
  });
}

// // 参照查询
// const referQuery = (data) => {
//   return request({
//     url: `/refer/query`,
//     method: "post",
//     data,
//   });
// }

export default {
  orderList,
  orderDetails,
  orderCreate,

}